> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Export Settings

> Get an export settings



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/export
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/export:
    get:
      tags:
        - ExportInventory
      summary: Get Export Settings
      description: Get an export settings
      parameters:
        - description: Export Settings Name
          in: query
          name: exportSettingsName
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GetExportSettingsResponse'
                type: array
          description: Success
        '404':
          description: Export Setting Not Found
components:
  schemas:
    GetExportSettingsResponse:
      description: Response for get Export Settings
      properties:
        exportSettings:
          $ref: '#/components/schemas/ExportSettings'
      title: Get Export Settings Response
      type: object
    ExportSettings:
      description: Export Settings
      properties:
        directShip:
          description: Flag for only using locations with Direct Ship enabled
          type: boolean
        exportSingleFile:
          description: Flag for exporting as a single file
          type: boolean
        exportType:
          description: Type of exportGG for the settings
          enum:
            - AGGREGATE
            - LOCATION
          type: string
        fileFormat:
          description: Format for the export file
          enum:
            - XML
            - CSV
          type: string
        fileName:
          description: Name for the export file
          type: string
        floor:
          description: Floor
          enum:
            - FLOOR_MAX
            - FLOOR_MIN
            - FLOOR_AVG
            - FLOOR_SUM
          type: string
        ftpInformation:
          description: List of export FTP settings
          items:
            $ref: '#/components/schemas/ExportSettingsFTP'
          type: array
        ignoreNegativeInventoryLocations:
          description: Flag for excluding negative inventory locations
          type: boolean
        includeAttributes:
          description: Flag for including attributes
          type: boolean
        isClassic:
          description: Flag for marking the setting as a classic export
          type: boolean
        locationGroupIDs:
          description: Location Group Ids associated with the settings
          items:
            type: integer
          type: array
        ltd:
          description: LTD
          enum:
            - LTD_MAX
            - LTD_MIN
            - LTD_AVG
            - LTD_SUM
          type: string
        name:
          description: Export Settings Name
          type: string
        onlySendActiveLocations:
          description: Flag for only sending from active locations
          type: boolean
        onlySendAvailable:
          description: Flag for only sending available
          type: boolean
        pickup:
          description: Flag for only using locations with In Store Pickup enabled
          type: boolean
        productMapping:
          description: Enum for export productMapping
          enum:
            - SWAP_PART_NUMBER_WITH_UPC
            - SWAP_SKU_WITH_UPC
          title: productMapping
          type: string
        s3Information:
          description: List of export S3 settings
          items:
            $ref: '#/components/schemas/ExportSettingsS3'
          type: array
        safetyStock:
          description: Safety Stock
          enum:
            - SAFETY_STOCK_MAX
            - SAFETY_STOCK_MIN
            - SAFETY_STOCK_AVG
            - SAFETY_STOCK_SUM
          type: string
        shortenFilename:
          description: Flag for using shortened filenames
          type: boolean
        siteIDs:
          description: Site Ids associated with the settings
          items:
            type: integer
          type: array
        tags:
          $ref: '#/components/schemas/tags'
        transfer:
          description: Flag for only using locations with Transfer enabled
          type: boolean
        untransformedFileName:
          description: Untransformed File Name
          type: string
        untransformedZipFileName:
          description: Untransformed Zip File Name
          type: string
        zipFileName:
          description: Name for the zipped file
          type: string
        zipFiles:
          description: Flag for zipping the files
          type: boolean
      required:
        - name
        - fileFormat
        - exportType
        - ftpInformation
      title: Export Settings
      type: object
    ExportSettingsFTP:
      description: Export Settings FTP
      properties:
        active:
          description: Flag for Active State
          type: boolean
        controlFile:
          description: Control File
          type: string
        controlFileEmail:
          description: Control File Email
          type: string
        controlFileName:
          description: Control File Name
          type: string
        deliveryClass:
          description: FTP Delivery Class. Defaults to ExportDeliveryDefault
          type: string
        endpoint:
          description: Endpoint
          type: string
        environment:
          description: Environment
          type: string
        exportSettingsFTPID:
          description: Export Settings FTP ID
          type: integer
        exportSettingsID:
          description: Export Settings ID
          type: integer
        ftpDirectory:
          description: FTP Server Directory
          type: string
        ftpDirectoryControlFile:
          description: FTP Server Control File Directory
          type: string
        ftpPassword:
          description: FTP Password
          type: string
        ftpPort:
          description: FTP Server Port
          type: integer
        ftpServer:
          description: FTP Server Address
          type: string
        ftpUser:
          description: FTP Username
          type: string
        name:
          description: Export Settings FTP Name
          type: string
        remoteFileName:
          description: Remote File Name
          type: string
      required:
        - name
        - ftpServer
        - ftpPort
        - ftpDirectory
      title: Export Settings FTP
      type: object
    ExportSettingsS3:
      description: Export Settings S3
      properties:
        active:
          description: Flag for Active State
          type: boolean
        bucket:
          description: S3 Bucket (directory)
          type: string
        exportSettingsID:
          description: Export Settings ID
          type: integer
        exportSettingsS3ID:
          description: Export Settings S3 ID
          type: integer
        name:
          description: Export Settings S3 Name
          type: string
        region:
          description: S3 Region
          type: string
      required:
        - name
        - region
        - bucket
      title: Export Settings S3
      type: object
    tags:
      additionalProperties:
        type: string
      description: Associative Map of <String, String> for tagCategoryName => tagName
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````